Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# VLCBallSpecialist::BallPointList Class Reference

Collaboration diagram for VLCBallSpecialist::BallPointList:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfPoints = 400 }
## Public Member Functions
| BallPointList ()
void | add (const BallPoint &ballPoint)
BallPoint & | operator[] (int i)
const BallPoint & | operator[] (int i) const
## Public Attributes
BallPoint | ballPoints [maxNumberOfPoints]
| The ball points.
int | number
| The actual number of ball points.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfPoints |
Definition at line 101 of file VLCBallSpecialist.h.

## Constructor & Destructor Documentation

VLCBallSpecialist::BallPointList::BallPointList | ( |  | ) | `[inline]`

| Definition at line 99 of file VLCBallSpecialist.h.

## Member Function Documentation

void VLCBallSpecialist::BallPointList::add | ( | const BallPoint & | ballPoint | ) |

| Definition at line 152 of file VLCBallSpecialist.cpp. References ASSERT, and DOT. Referenced by VLCBallSpecialist::searchBall().

BallPoint& VLCBallSpecialist::BallPointList::operator[] | ( | int | i | ) | `[inline]`

| Definition at line 107 of file VLCBallSpecialist.h.

const BallPoint& VLCBallSpecialist::BallPointList::operator[] | ( | int | i | ) | const`[inline]`

| Definition at line 108 of file VLCBallSpecialist.h.

## Member Data Documentation

BallPoint VLCBallSpecialist::BallPointList::ballPoints[maxNumberOfPoints]

| The ball points. Definition at line 102 of file VLCBallSpecialist.h.

int VLCBallSpecialist::BallPointList::number

| The actual number of ball points. Definition at line 103 of file VLCBallSpecialist.h. Referenced by VLCBallSpecialist::calculateDeviationOfBallPoints(), VLCBallSpecialist::checkIfPointsAreInsideBall(), VLCBallSpecialist::considerBallPoints(), and VLCBallSpecialist::searchBall().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/VLCImageProcessor/VLCBallSpecialist.h
- Modules/ImageProcessor/VLCImageProcessor/VLCBallSpecialist.cpp